function src = trap2src(trap,RAPTORmodel,src)
B0 = RAPTORmodel.equi.B0;
src(:,1) = trap.chie;
src(:,2) = trap.signeo;
src(:,3) = trap.poh;
src(:,4) = trap.pec;
src(:,5) = trap.pnbe;
src(:,6) = trap.pnbi;
src(:,7) = trap.plh;
src(:,8) = trap.pice;
src(:,9) = trap.pauxe;
src(:,10) = trap.palphae;
src(:,11) = trap.palphai;
src(:,12) = trap.pbrem;
src(:,13) = trap.pei;
src(:,14) = trap.prad;
src(:,15) = trap.jbsB;
src(:,16) = trap.jec*B0;
src(:,17) = trap.jnb*B0;
src(:,18) = trap.jlh*B0;
src(:,19) = trap.jic*B0;
src(:,20) = trap.jauxB;
src(:,21) = trap.jphioR;